Fleet service variable

Get all fleet service variables for a service

get

Fleet service variable Resource Fields

Field

id

created_at

service_install

value

name


GET /v7/service_environment_variable

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get
/v7/service_environment_variable

Create a fleet service variable

post

POST /v7/service_environment_variable

Request Body:

{
    "service": <SERVICE ID>,
    "name": <NAME>,
    "value": <VALUE>
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
objectOptional
post
/v7/service_environment_variable

Remove a fleet service variable

delete

DELETE /v7/service_environment_variable(<ID>)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
delete
/v7/service_environment_variable({ID})

Update a device service variable

patch

PATCH /v7/service_environment_variable(<ID>)

Request Body:

{
    "value": <NEW VALUE>
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
Body
objectOptional
patch
/v7/service_environment_variable({ID})

Last updated

Was this helpful?